cmake_minimum_required(VERSION 3.22)

# Add BSP library
add_library(bsp STATIC)

# Add BSP sources
target_sources(bsp PRIVATE
    Src/bsp_init.c
    Src/stm32f407vet6_board.c
    Src/bsp_board_manager.c
    Src/bsp_w25qxx.c
    Src/bsp_key.c
)

# Add BSP include directories
target_include_directories(bsp PUBLIC
    Inc
)

# Link BSP dependencies
target_link_libraries(bsp PRIVATE
    stm32cubemx
    hal
    w25qxx
    delay
)
